Subject: [saag] IETF 74 Kitten Working Group Summary

From: "Shawn M. Emery" <[email-masked]>
Date: Wed, 25 Mar 2009 14:23:36 -0600

The kitten-wg met Tuesday, 3/24/09, during afternoon session three.

Co-chairs: Alexey Melnikov and Shawn Emery

The goals of the meeting were to review the state of the active working 
group items, one individual submission, Charter, and Milestones.

gssapi-extensions-iana
----------------------------
Needs cleanup of idnits before PROTO-writeup.
Initial registry will be populated during IANA review (during RFC 
publishing).

gssapi-channel-bindings
------------------------------
ASN.1 nit corrected and GenART-comment to clarify document and dicusss 
history addressed in 06.
Ballot issued.

extended-mech-inquiry
-----------------------------
WGLC expired in first week of December.
Comment by Love; memory management concern with respect to buffer and 
oid sets. Nico will add text in respect to releasing buffers.
Will be sent for AD (Tim Polk) review shortly.

gssapi-store-cred
---------------------
WGLC ended in the last week in December.
idnits cleaned up in 03 and 04.
PROTO-writeup complete.
I-D publication requested.

rfc2853bis
-------------
idnits cleaned up in 04 and 05.
PROTO-writeup complete.
I-D publication requested.

gssapi-naming-exts
------------------------
Editor posted questions to the mailing list:
Should we keep the mapped or critical flag? No.
Should we replace the negative with a complete flag? Yes.
Should we have char * instead of OIDs for attribute naming?
There was not a strong consensus in the room, will take this to the list 
again.

draft-lha-gssapi-delegate-policy
---------------------------------------
LC comments cleaned up in 03 and 04.
IANA registry will occur for this draft during the IANA review of IANA 
registry.
PROTO-writeup complete.
Current I-D state is AD evaluation.

Charter/Milestones
------------------------
Charter:
Need volunteers/momentum behind:
Updates to v2 RFCs:
    Guidance for mechanism and application protocol designers.
    Thread safety.
    C-binding clarifications (types, name space, etc.).
Still need to remove C# binding work item.

New milestone:
WGLC gssapi-naming-exts 05/09 (Orig 11/07)

Shawn and Alexey.
--